phing-tasks-system

# Class: PhingTask Source Location: /tasks/system/PhingTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --PhingTask
Task that invokes phing on another build file. #### Author(s): Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 557 $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Variables $newTarget | ### Methods createFileSet createProperty createReference init main setBuildfile setDir setHaltOnFailure setInheritAll setInheritRefs setPhingfile setTarget
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 47] Task that invokes phing on another build file. Use this task, for example, if you have nested buildfiles in your project. Unlike AntTask, PhingTask can even support filesets:
#### Tags:
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 557 $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Variables #### $newTarget = [line 56] the target to call if any #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### method createFileSet [line 564]
`FileSet createFileSet( )`
Support for filesets; This method returns a reference to an instance of a FileSet object. [ Top ] ### method createProperty [line 575]
`void createProperty( )`
Property to pass to the new project. The property is passed as a 'user property' #### Tags:
access: | public
[ Top ] ### method createReference [line 589]
`void createReference( )`
Reference element identifying a data type to carry over to the new project. #### Tags:
access: | public
[ Top ] ### method init [line 93]
`void init( )`
Creates a Project instance for the project to call. #### Tags:
access: | public
Overrides Task::init() (Called by the parser to let the task initialize properly.) [ Top ] ### method main [line 146]
`void main( )`
Main entry point for the task. #### Tags:
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setBuildfile [line 544]
`void setBuildfile( $s)`
Alias function for setPhingfile #### Tags:
access: | public
#### Parameters:
| $s |
[ Top ] ### method setDir [line 518]
`void setDir( $d)`
The directory to use as a base directory for the new phing project. Defaults to the current project's basedir, unless inheritall has been set to false, in which case it doesn't have a default value. This will override the basedir setting of the called project. #### Tags:
access: | public
#### Parameters:
| $d |
[ Top ] ### method setHaltOnFailure [line 85]
`void setHaltOnFailure( boolean $hof)`
If true, abort the build process if there is a problem with or in the target build file. Defaults to false. #### Tags:
access: | public
#### Parameters:
boolean | $hof | new value
[ Top ] ### method setInheritAll [line 496]
`void setInheritAll( $value)`
If true, pass all properties to the new phing project. Defaults to true. #### Tags:
access: | public
#### Parameters:
| $value |
[ Top ] ### method setInheritRefs [line 506]
`void setInheritRefs( $value)`
If true, pass all references to the new phing project. Defaults to false. #### Tags:
access: | public
#### Parameters:
| $value |
[ Top ] ### method setPhingfile [line 532]
`void setPhingfile( $s)`
The build file to use. Defaults to "build.xml". This file is expected to be a filename relative to the dir attribute given. #### Tags:
access: | public
#### Parameters:
| $s |
[ Top ] ### method setTarget [line 554]
`void setTarget( $s)`
The target of the new Phing project to execute. Defaults to the new project's default target. #### Tags:
access: | public
#### Parameters:
| $s |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:36 +0200 by phpDocumentor 1.4.3